Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.oda
Class OdaAggregationHelper

    java.lang.Object
      org.eclipse.birt.report.model.api.oda.OdaAggregationHelperImpl
          org.eclipse.birt.report.model.api.oda.OdaAggregationHelper

    public class OdaAggregationHelper

extends OdaAggregationHelperImpl

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.oda.OdaAggregationHelperImpl
`birtAggregationDefinitions, birtPredefinedAggregationConstants`

Constructor Summary
`OdaAggregationHelper()`

Method Summary
`static java.util.List<IAggregationDefn>` | `getAggregationDefinitions(java.lang.String dataSetExtId, java.lang.String dataSourceExtId)`
`static IAggregationDefn` | `getAggregationDefn(java.lang.String birtAggregationId, java.lang.String datasetExtId, java.lang.String datasourceExtId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OdaAggregationHelper

    public OdaAggregationHelper()

Method Detail

### getAggregationDefinitions

    public static java.util.List<IAggregationDefn> getAggregationDefinitions(java.lang.String dataSetExtId,
                                                                             java.lang.String dataSourceExtId)

### getAggregationDefn

    public static IAggregationDefn getAggregationDefn(java.lang.String birtAggregationId,
                                                      java.lang.String datasetExtId,
                                                      java.lang.String datasourceExtId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.